<?php
require_once './Config/Config.php';
require_once "./Config/Connection.php";
require_once './Config/Validation.php';

require_once "./Model/Joueur.php";
require_once "./Model/Enigme.php";

require_once './Controller/JoueurGateway.php';
require_once './Controller/EnigmeGateway.php';

require_once './Controller/JoueurNotFoundException.php';
require_once './Controller/InvalidMdpException.php';

require_once './Controller/Controller.php';

//unset($_SESSION['connected']);

$con = new Connection($dsn, $user, $password);
$control = new Controller($con);

session_unset(); //efface les variable session
session_destroy();//détruit la session
$_SESSION = null;//histoire d'être sûre